#!/usr/bin/bash

export P2_STORE_URL=http://localhost:6000/store
export DB_P2STORE_DBNAME=p2store_test
export DB_P2STORE_HOST=localhost

driver=$1

if [ -z "$driver" ]
then
    echo "Usage: $0 <a p2.Reporter driver to test...>"
    exit
fi


echo "Testing driver $driver on ${DB_P2STORE_HOST} p2store_test."
echo "The driver has to be configured to run agains minikube"
echo "p2.store.server serving on $P2_STORE_URL."

python -m p2.tools.prepare_db p2store_test
minikube start
nohup uvicorn p2_store.service.fastapi_server:app --port 6000 > ./p2.store.server.out &

p2-reporter.py --driver $driver

pkill -f uvicorn
minikube stop
